<template>
    <div
        itemscope itemtype="http://schema.org/WebPage"
        :class="!$router.currentRoute.params.portfolio ? 'portfolio' : 'portfolio portfolio-' + $router.currentRoute.params.portfolio"
        class="w-full h-full"
    >

        <!-- Si nous ne sommes pas dans une page Portfolio particulière -->
        <template v-if="!$router.currentRoute.params.portfolio">

            <!-- Hero -->
            <HeroCustomShort title="Portfolio" description="Découvrez nos différentes réalisations." background="background-portfolio.jpg" />

            <!-- Header du portfolio -->
            <PortfolioHeader :title="$t('portfolio.' + global.activePortfolioType + '.title')" />

            <!-- Contenu du portfolio -->
            <PortfolioContent :data="$t('portfolio.' + global.activePortfolioType + '.items')" />

        </template>

        <template v-else>
            <PortfolioPageHeader :data="$t('portfolio.' + $router.currentRoute.query.type + '.items')[$router.currentRoute.params.portfolio - 1]" />

            <div class="flex justify-center items-center text-center">
                <div class="flex flex-col items-center gap-y-6 py-12 text-black">
                    <img
                        src="https://source.unsplash.com/1920x1080"
                        alt="image"
                        class="w-1/2 h-1/2 object-cover"
                    />
                    <div>
                        <span class="font-bold">Description :</span>
                        <span>
                            {{ $t('portfolio.' + $router.currentRoute.query.type + '.items')[$router.currentRoute.params.portfolio - 1].informations.description }}
                        </span>
                    </div>
                    <div>
                        <span class="font-bold">Lien :</span>
                        <a
                            :href="$t('portfolio.' + $router.currentRoute.query.type + '.items')[$router.currentRoute.params.portfolio - 1].informations.link.url"
                            target="_blank"
                            class="span py-2 px-6 xl:mt-0 border border-black"
                        >
                            {{ $t('portfolio.' + $router.currentRoute.query.type + '.items')[$router.currentRoute.params.portfolio - 1].informations.link.label }}
                        </a>
                    </div>
                </div>
            </div>
        </template>

    </div>
</template>

<script>

// Importation du plugin GSAP (pour les animations)
import { gsap } from "gsap";
import { ScrollToPlugin } from "gsap/ScrollToPlugin";
gsap.registerPlugin(ScrollToPlugin);

// Importation du store
import { useGlobal } from "@/stores/global";

export default {

    // Nom de la page
    name: 'portfolio',

    // Données en paramètres de la page
    props: {
        // props
    },

    // Setup
    setup() {

        // On récupère le store dans une variable
        const global = useGlobal();

        return {
            // On retourne les données du store
            global
        }
    },

    // Données de la page
    data() {
        return {
            // data
        }
    },

    // Script à éxécuter au chargement de la page
    mounted() {
        // mounted
    },

    // Méthodes de la page
    methods: {

        /**
            * Méthode permettant de gérer le type de contenu du portfolio
            * @return void
        */
        setTypePortfolio(type) {
            this.global.setActivePortfolioType(type);

            // On scroll vers le haut de la page
            gsap.to(window, {
                duration: 1,
                scrollTo: {
                    y: 575
                }
            });
        }
    }
}

</script>
